curl --request GET \
--url https://api.dexpaprika.com/networks/{network}/tokens/{token_address}import requests
url = "https://api.dexpaprika.com/networks/{network}/tokens/{token_address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/networks/{network}/tokens/{token_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN",
"name": "Jupiter",
"symbol": "JUP",
"chain": "solana",
"decimals": 6,
"total_supply": 9999979509174084,
"description": "",
"website": "",
"explorer": "",
"added_at": "2024-09-11T04:37:20Z",
"summary": {
"price_usd": 0.6692687725734983,
"fdv": 6692674011.865073,
"liquidity_usd": 25796064.003077608,
"24h": {
"volume": 122851769.74866481,
"volume_usd": 84119865.87252772,
"buy_usd": 42059932.93626386,
"sell_usd": 42059932.93626386,
"sells": 147309,
"buys": 77615,
"txns": 224924
},
"6h": {
"volume": 30490167.650738973,
"volume_usd": 20100302.93373614,
"buy_usd": 10050151.46686807,
"sell_usd": 10050151.46686807,
"sells": 38908,
"buys": 21561,
"txns": 60469
},
"1h": {
"volume": 2339429.714102,
"volume_usd": 1569385.0617313772,
"buy_usd": 784692.5308656886,
"sell_usd": 784692.5308656886,
"sells": 4476,
"buys": 2202,
"txns": 6678
},
"30m": {
"volume": 1053011.5253609999,
"volume_usd": 705252.1467858246,
"buy_usd": 352626.0733929123,
"sell_usd": 352626.0733929123,
"sells": 1893,
"buys": 944,
"txns": 2837
},
"15m": {
"volume": 420812.23249900003,
"volume_usd": 281063.0592944985,
"buy_usd": 140531.52964724926,
"sell_usd": 140531.52964724926,
"sells": 864,
"buys": 442,
"txns": 1306
},
"5m": {
"volume": 75084.709753,
"volume_usd": 50179.69475522313,
"buy_usd": 25089.847377611564,
"sell_usd": 25089.847377611564,
"sells": 238,
"buys": 88,
"txns": 326
}
},
"last_updated": "2025-02-25T13:44:45.699686371Z"
}Get a token's latest data on a network.
Retrieves detailed information about a specific token on the given network, including latest price, metadata, status, and recent summary metrics such as price changes and volumes over multiple timeframes.
Path Parameters
Token contract address. Such as JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN for Jupiter on Solana.
Response
successful operation
Essential information for a token, including metadata and status.
Internal or canonical ID for the token (e.g., "usdc-usd-coin").
Human-readable name of the token (e.g., "USD Coin").
Ticker symbol of the token (e.g., "USDC").
Blockchain network where the token exists (e.g., "ethereum", "solana").
Decimal precision of the token (e.g., 6 for USDC).
Total supply of the token.
A detailed overview of the token's purpose, use cases, or background.
Official website URL for the token/project.
Official Telegram URL for the token/project.
Official Twitter URL for the token/project.
Link to a block explorer or analytics page for this token.
Indicates whether the token has an associated image/logo.
When the token was added to the system.
Fully diluted valuation of the token.
When the token data was last updated.
A comprehensive summary of token-related metrics, including price, liquidity, and transaction volumes across various time intervals.
Show child attributes
Show child attributes
{
"price_usd": 125.67,
"fdv": 12567,
"liquidity_usd": 5000000,
"pools": 5,
"24h": {
"volume": 100000,
"volume_usd": 102000,
"buy_usd": 50000,
"sell_usd": 52000,
"sells": 150,
"buys": 180,
"txns": 330,
"last_price_usd_change": 50
},
"6h": {
"volume": 25000,
"volume_usd": 25500,
"sells": 45,
"buys": 50,
"buy_usd": 12500,
"sell_usd": 13000,
"txns": 95,
"last_price_usd_change": 10
},
"1h": {
"volume": 5000,
"volume_usd": 5100,
"buy_usd": 2500,
"sell_usd": 2600,
"sells": 10,
"buys": 15,
"txns": 25,
"last_price_usd_change": 2
},
"30m": {
"volume": 2500,
"volume_usd": 2550,
"buy_usd": 1250,
"sell_usd": 1300,
"sells": 5,
"buys": 8,
"txns": 13,
"last_price_usd_change": 1
},
"15m": {
"volume": 1250,
"volume_usd": 1275,
"buy_usd": 675,
"sell_usd": 700,
"sells": 2,
"buys": 4,
"txns": 6,
"last_price_usd_change": 0.5
},
"5m": {
"volume": 500,
"volume_usd": 510,
"buy_usd": 250,
"sell_usd": 260,
"sells": 1,
"buys": 1,
"txns": 2,
"last_price_usd_change": -0.5
},
"1m": {
"volume": 100,
"volume_usd": 102,
"buy_usd": 50,
"sell_usd": 52,
"sells": 1,
"buys": 0,
"txns": 1,
"last_price_usd_change": 0
}
}
Was this page helpful?